System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.BindingElement System.ServiceModel.Description.IPolicyExportExtension To be added.

Represents the binding element that contains the privacy policy for the WS-Federation binding.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class from an existing element.

  The used to initialize the new element.
- Method
  4.0.0.0
  System.ServiceModel.Channels.BindingElement To be added.

  Creates a copy of the current binding element.

  A that is a copy of the current element.

- Method
  4.0.0.0
  T ReferenceTypeConstraint ``

  Calls on the next binding element in the binding context.

  Queries the binding element stack to see whether it supports a particular interface.

  The interface whose support is being tested.

  The for the current binding element. The interface whose support is being tested.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Exports custom policy assertions regarding the privacy notice from the binding elements that contain the policy.

  The that you can use to modify the exporting process. The that contains the binding assertions and elements associated with the policy.
- Property
  4.0.0.0
  System.Uri To be added. To be added.

  Gets or sets the URI at which the privacy notice is located.

- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets or sets the privacy notice version number for the binding.